/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var AvatarProps = {
  alt: {
    type: String,
    default: ""
  },
  badgeProps: {
    type: Object
  },
  hideOnLoadFailed: Boolean,
  icon: {
    type: Function
  },
  image: {
    type: String,
    default: ""
  },
  imageProps: {
    type: Object
  },
  shape: {
    type: String,
    validator: function validator(val) {
      if (!val) return true;
      return ["circle", "round"].includes(val);
    }
  },
  size: {
    type: String,
    default: ""
  },
  onError: Function
};

exports["default"] = AvatarProps;
//# sourceMappingURL=props.js.map
