import { TdColorPickerProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    clearable: BooleanConstructor;
    enableAlpha: BooleanConstructor;
    fixed: BooleanConstructor;
    format: {
        type: PropType<"CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK">;
        default: "CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK";
        validator(val: TdColorPickerProps['format']): boolean;
    };
    swatchColors: {
        type: PropType<string[]>;
        default: any;
    };
    type: {
        type: PropType<import("./type").TypeEnum>;
        default: import("./type").TypeEnum;
        validator(val: TdColorPickerProps['type']): boolean;
    };
    value: {
        type: StringConstructor;
        default: any;
    };
    modelValue: {
        type: StringConstructor;
        default: any;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onChange: PropType<(value: string, context: {
        color: import("./type").ColorObject;
        trigger: import("./type").ColorPickerChangeTrigger;
    }) => void>;
    onPaletteBarChange: PropType<(context: {
        color: import("./type").ColorObject;
    }) => void>;
};
export default _default;
