/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var DateTimePickerProps = {
  cancelBtn: {
    type: String,
    default: ""
  },
  confirmBtn: {
    type: String,
    default: ""
  },
  end: {
    type: [String, Number]
  },
  footer: {
    type: Function
  },
  format: {
    type: String,
    default: "YYYY-MM-DD HH:mm:ss"
  },
  header: {
    type: Function
  },
  mode: {
    type: [String, Array],
    default: "date"
  },
  renderLabel: {
    type: Function
  },
  showWeek: Boolean,
  start: {
    type: [String, Number]
  },
  steps: {
    type: Object,
    default: function _default() {
      return {};
    }
  },
  title: {
    type: String,
    default: ""
  },
  value: {
    type: [String, Number]
  },
  modelValue: {
    type: [String, Number]
  },
  defaultValue: {
    type: [String, Number]
  },
  onCancel: Function,
  onChange: Function,
  onConfirm: Function,
  onPick: Function
};

exports["default"] = DateTimePickerProps;
//# sourceMappingURL=props.js.map
