/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var FabProps = {
  buttonProps: {
    type: Object
  },
  draggable: {
    type: [String, Boolean],
    default: false
  },
  icon: {
    type: Function
  },
  style: {
    type: String,
    default: "right: 16px; bottom: 32px;"
  },
  text: {
    type: String,
    default: ""
  },
  yBounds: {
    type: Array
  },
  onClick: Function,
  onDragEnd: Function,
  onDragStart: Function
};

exports["default"] = FabProps;
//# sourceMappingURL=props.js.map
