/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _classCallCheck = require('@babel/runtime/helpers/classCallCheck');
var _createClass = require('@babel/runtime/helpers/createClass');
var _defineProperty = require('@babel/runtime/helpers/defineProperty');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _classCallCheck__default = /*#__PURE__*/_interopDefaultLegacy(_classCallCheck);
var _createClass__default = /*#__PURE__*/_interopDefaultLegacy(_createClass);
var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);

var MockIntersectionObserver = /*#__PURE__*/function () {
  function MockIntersectionObserver(callback) {
    var _this = this;
    _classCallCheck__default["default"](this, MockIntersectionObserver);
    _defineProperty__default["default"](this, "_callback", void 0);
    _defineProperty__default["default"](this, "_element", void 0);
    _defineProperty__default["default"](this, "trigger", function (event) {
      _this._callback([{
        isIntersecting: true
      }]);
    });
    this._callback = callback;
  }
  return _createClass__default["default"](MockIntersectionObserver, [{
    key: "observe",
    value: function observe(element) {
      this._element = element;
      this._element.addEventListener("resize", this.trigger);
    }
  }, {
    key: "unobserve",
    value: function unobserve() {
      this._element.removeEventListener("resize", this.trigger);
    }
  }, {
    key: "disconnect",
    value: function disconnect() {
      this._element.removeEventListener("resize", this.trigger);
    }
  }]);
}();

exports.MockIntersectionObserver = MockIntersectionObserver;
//# sourceMappingURL=utils.js.map
