/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _toConsumableArray = require('@babel/runtime/helpers/toConsumableArray');
var vue = require('vue');
var config = require('../../config.js');
var hooks_useClass = require('../../hooks/useClass.js');
require('../../_chunks/dep-977081b1.js');
require('@babel/runtime/helpers/defineProperty');
require('../../_chunks/dep-90d1f1f6.js');
require('../../_common/js/global-config/mobile/default-config.js');
require('../../_common/js/global-config/mobile/locale/zh_CN.js');
require('../../_chunks/dep-5b94d99d.js');
require('@babel/runtime/helpers/typeof');
require('../../_chunks/dep-b912c957.js');
require('dayjs');
require('../../_chunks/dep-107d4340.js');
require('../../_chunks/dep-f8610152.js');
require('../../_chunks/dep-95fd413d.js');
require('../../_chunks/dep-b99dd3a6.js');
require('../../_chunks/dep-9059ceab.js');
require('../../_chunks/dep-a9c0c920.js');
require('../../_chunks/dep-48b1ccc0.js');
require('../../_chunks/dep-7ede1657.js');
require('../../_chunks/dep-11900ba0.js');
require('../../_chunks/dep-b1b7627b.js');
require('../../_chunks/dep-68999828.js');
require('../../_chunks/dep-8c8ba0a8.js');
require('../../_chunks/dep-161c0305.js');
require('../../_chunks/dep-d8a9a6b3.js');
require('../../_chunks/dep-4381ced7.js');
require('../../_chunks/dep-533c057c.js');
require('../../_chunks/dep-87690293.js');
require('../../_chunks/dep-b55fb6e4.js');
require('../../_chunks/dep-e11b336c.js');
require('../../_chunks/dep-ec417fb3.js');
require('../../_chunks/dep-51f8b65c.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _toConsumableArray__default = /*#__PURE__*/_interopDefaultLegacy(_toConsumableArray);

var prefix = config["default"].prefix;
var SpinnerIcon = vue.defineComponent({
  name: "".concat(prefix, "-spinner"),
  props: {
    style: Object
  },
  setup: function setup(props) {
    var spinnerClass = hooks_useClass.usePrefixClass("loading__spinner");
    return function () {
      return vue.createVNode("span", {
        "class": spinnerClass.value,
        "style": props.style
      }, [_toConsumableArray__default["default"](new Array(12)).map(function (_, index) {
        return vue.createVNode("i", {
          "class": ["".concat(spinnerClass.value, "--line"), "".concat(spinnerClass.value, "--line-").concat(index + 1)]
        }, null);
      })]);
    };
  }
});

exports["default"] = SpinnerIcon;
//# sourceMappingURL=spinner.js.map
