/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var OverlayProps = {
  backgroundColor: {
    type: String,
    default: ""
  },
  customStyle: {
    type: String,
    default: ""
  },
  duration: {
    type: Number,
    default: 300
  },
  preventScrollThrough: {
    type: Boolean,
    default: true
  },
  visible: Boolean,
  zIndex: {
    type: Number,
    default: 1e3
  },
  onClick: Function
};

exports["default"] = OverlayProps;
//# sourceMappingURL=props.js.map
