/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  container: {
    type: Function
  },
  fixed: {
    type: Boolean,
    default: true
  },
  icon: {
    type: [Boolean, Function],
    default: true
  },
  target: {
    type: Function
  },
  text: {
    type: String,
    default: ""
  },
  theme: {
    type: String,
    default: "round",
    validator: function validator(val) {
      if (!val) return true;
      return ["round", "half-round", "round-dark", "half-round-dark"].includes(val);
    }
  },
  visibilityHeight: {
    type: Number,
    default: 200
  },
  onToTop: Function
};

export { props as default };
//# sourceMappingURL=props.mjs.map
