/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  borderless: Boolean,
  disabled: {
    type: Boolean,
    default: void 0
  },
  keys: {
    type: Object
  },
  max: {
    type: Number,
    default: void 0
  },
  name: {
    type: String,
    default: ""
  },
  options: {
    type: Array
  },
  readonly: {
    type: Boolean,
    default: void 0
  },
  value: {
    type: Array,
    default: void 0
  },
  modelValue: {
    type: Array,
    default: void 0
  },
  defaultValue: {
    type: Array,
    default: function _default() {
      return [];
    }
  },
  onChange: Function
};

export { props as default };
//# sourceMappingURL=checkbox-group-props.mjs.map
