/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  content: {
    type: [String, Function]
  },
  default: {
    type: [String, Function]
  },
  destroyOnCollapse: Boolean,
  disabled: {
    type: Boolean,
    default: void 0
  },
  expandIcon: {
    type: [Boolean, Function],
    default: void 0
  },
  header: {
    type: [String, Function]
  },
  headerLeftIcon: {
    type: Function
  },
  headerRightContent: {
    type: [String, Function]
  },
  placement: {
    type: String,
    default: "bottom",
    validator: function validator(val) {
      if (!val) return true;
      return ["bottom", "top"].includes(val);
    }
  },
  value: {
    type: [String, Number]
  }
};

export { props as default };
//# sourceMappingURL=collapse-panel-props.mjs.map
