import { TNode } from '../common';
export interface TdImageViewerProps {
    closeBtn?: boolean | TNode;
    deleteBtn?: boolean | TNode;
    images?: Array<string | ImageInfo>;
    index?: number;
    defaultIndex?: number;
    maxZoom?: Number;
    showIndex?: boolean;
    visible?: boolean;
    defaultVisible?: boolean;
    modelValue?: boolean;
    onClose?: (context: {
        trigger: 'overlay' | 'close-btn';
        visible: boolean;
        index: number;
    }) => void;
    onDelete?: (index: number) => void;
    onIndexChange?: (index: number, context: {
        trigger: 'prev' | 'next';
    }) => void;
}
export interface ImageInfo {
    url: string;
    align: 'start' | 'center' | 'end';
}
