/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var PullDownRefreshProps = {
  disabled: Boolean,
  loadingBarHeight: {
    type: [String, Number],
    default: 50
  },
  loadingProps: {
    type: Object
  },
  loadingTexts: {
    type: Array,
    default: function _default() {
      return [];
    }
  },
  maxBarHeight: {
    type: [String, Number],
    default: 80
  },
  refreshTimeout: {
    type: Number,
    default: 3e3
  },
  value: {
    type: Boolean,
    default: void 0
  },
  modelValue: {
    type: Boolean,
    default: void 0
  },
  defaultValue: Boolean,
  onChange: Function,
  onRefresh: Function,
  onScrolltolower: Function,
  onTimeout: Function
};

export { PullDownRefreshProps as default };
//# sourceMappingURL=props.mjs.map
