/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  defaultExpandAll: Boolean,
  disabled: Boolean,
  expandIcon: {
    type: [Boolean, Function],
    default: true
  },
  expandMutex: Boolean,
  theme: {
    type: String,
    default: "default",
    validator: function validator(val) {
      if (!val) return true;
      return ["default", "card"].includes(val);
    }
  },
  value: {
    type: Array,
    default: void 0
  },
  modelValue: {
    type: Array,
    default: void 0
  },
  defaultValue: {
    type: Array,
    default: function _default() {
      return [];
    }
  },
  onChange: Function
};

export { props as default };
//# sourceMappingURL=props.js.map
