/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  align: {
    type: String,
    default: "center",
    validator: function validator(val) {
      if (!val) return true;
      return ["left", "center"].includes(val);
    }
  },
  border: Boolean,
  column: {
    type: Number,
    default: 4
  },
  gutter: {
    type: Number
  },
  hover: Boolean,
  theme: {
    type: String,
    default: "default",
    validator: function validator(val) {
      if (!val) return true;
      return ["default", "card"].includes(val);
    }
  }
};

export { props as default };
//# sourceMappingURL=props.js.map
