/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var PickerProps = {
  cancelBtn: {
    type: [String, Boolean],
    default: true
  },
  columns: {
    type: [Array, Function],
    default: function _default() {
      return [];
    },
    required: true
  },
  confirmBtn: {
    type: [String, Boolean],
    default: true
  },
  footer: {
    type: Function
  },
  header: {
    type: Function
  },
  keys: {
    type: Object
  },
  option: {
    type: Function
  },
  renderLabel: {
    type: Function
  },
  swipeDuration: {
    type: [String, Number],
    default: 300
  },
  title: {
    type: String,
    default: ""
  },
  value: {
    type: Array,
    default: void 0
  },
  modelValue: {
    type: Array,
    default: void 0
  },
  defaultValue: {
    type: Array
  },
  onCancel: Function,
  onChange: Function,
  onConfirm: Function,
  onPick: Function
};

export { PickerProps as default };
//# sourceMappingURL=props.js.map
