/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

export { cmyk2rgb, cmykInputToColor, rgb2cmyk } from './cmyk.js';
export { Color, genGradientPoint, genId, getColorObject, getColorWithoutAlpha, gradientColors2string } from './color.js';
export { ALPHA_FORMAT_MAP, COLOR_FORMAT_INPUTS, COLOR_MODES, DEFAULT_COLOR, DEFAULT_LINEAR_GRADIENT, DEFAULT_SYSTEM_SWATCH_COLORS, FORMATS, GRADIENT_SLIDER_DEFAULT_WIDTH, SATURATION_PANEL_DEFAULT_HEIGHT, SATURATION_PANEL_DEFAULT_WIDTH, SLIDER_DEFAULT_WIDTH, TD_COLOR_USED_COLORS_MAX_SIZE } from './constants.js';
export { Draggable } from './draggable.js';
export { getColorFormatInputs, getColorFormatMap, getColorFormatOptions, initColorFormat } from './format.js';
export { isGradientColor, parseGradientString } from './gradient.js';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/defineProperty';
import 'tinycolor2';
import 'lodash-es';
import '@babel/runtime/helpers/toConsumableArray';
//# sourceMappingURL=index.js.map
