/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Cell from './cell.js';
import _CellGroup from './cell-group.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import 'tdesign-icons-vue-next';
import '../config.js';
import './props.js';
import '../form/hooks.js';
import 'lodash-es';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../shared/hover.js';
import './cell-group-props.js';

var Cell = withInstall(_Cell);
var CellGroup = withInstall(_CellGroup);

export { Cell, CellGroup, Cell as default };
//# sourceMappingURL=index.js.map
