/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _ColorPicker from './color-picker.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import './props.js';
import '../config.js';
import '../popup/index.js';
import '../popup/popup.js';
import '@babel/runtime/helpers/defineProperty';
import 'tdesign-icons-vue-next';
import '../popup/props.js';
import '../overlay/index.js';
import '../overlay/overlay.js';
import '../shared/dom.js';
import 'lodash-es';
import '../overlay/props.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useVModel.js';
import '../hooks/useLockScroll.js';
import '../_util/useTouch.js';
import '../_util/getScrollParent.js';
import '../hooks/useTeleport.js';
import '../shared/render-tnode.js';
import './helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '../_common/js/color-picker/constants.js';
import '../_common/js/color-picker/color.js';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import 'tinycolor2';
import '../_common/js/color-picker/cmyk.js';
import '../_common/js/color-picker/gradient.js';
import './constants.js';

var ColorPicker = withInstall(_ColorPicker);

export { ColorPicker, ColorPicker as default };
//# sourceMappingURL=index.js.map
