/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _ConfigProvider from './config-provider.js';
import { withInstall } from '../shared/component.js';
import 'vue';
import '../config.js';
import './props.js';
import './useConfig.js';
import '@babel/runtime/helpers/defineProperty';
import 'lodash-es';
import './context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';

var ConfigProvider = withInstall(_ConfigProvider);

export { ConfigProvider, ConfigProvider as default };
//# sourceMappingURL=index.js.map
