/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _DateTimePicker from './date-time-picker.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'dayjs';
import '../_chunks/dep-53f63811.js';
import '../_chunks/dep-18a2eeab.js';
import 'lodash-es';
import '../config.js';
import './props.js';
import './shared.js';
import '@babel/runtime/helpers/toConsumableArray';
import '../hooks/useVModel.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../picker/index.js';
import '../picker/picker.js';
import '@babel/runtime/helpers/defineProperty';
import '../picker/props.js';
import '../picker/picker-item.js';
import '../picker/picker.class.js';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '../shared/dom.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../picker/utils.js';
import '../picker/cascade.js';

var DateTimePicker = withInstall(_DateTimePicker);

export { DateTimePicker, DateTimePicker as default };
//# sourceMappingURL=index.js.map
