/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Grid from './grid.js';
import _GridItem from './grid-item.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import '../config.js';
import './props.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import 'lodash-es';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import './grid-item-props.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../image/index.js';
import '../image/image.js';
import '@babel/runtime/helpers/slicedToArray';
import '@vueuse/core';
import 'tdesign-icons-vue-next';
import '../loading/index.js';
import '../loading/loading.js';
import '../loading/icon/gradient.js';
import '../_common/js/loading/circle-adapter.js';
import '../_common/js/utils/setStyle.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '../loading/icon/spinner.js';
import '../loading/props.js';
import '../shared/dom.js';
import '../loading/plugin.js';
import '../image/props.js';
import '../badge/index.js';
import '../badge/badge.js';
import '../badge/props.js';
import '../shared/hover.js';

var Grid = withInstall(_Grid);
var GridItem = withInstall(_GridItem);

export { Grid, GridItem, Grid as default };
//# sourceMappingURL=index.js.map
