/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  closeBtn: {
    type: [Boolean, Function],
    default: true
  },
  deleteBtn: {
    type: [Boolean, Function],
    default: false
  },
  images: {
    type: Array,
    default: function _default() {
      return [];
    }
  },
  index: {
    type: Number,
    default: void 0
  },
  defaultIndex: {
    type: Number
  },
  maxZoom: {
    type: Number,
    default: 3
  },
  showIndex: Boolean,
  visible: {
    type: Boolean,
    default: void 0
  },
  modelValue: {
    type: Boolean,
    default: void 0
  },
  defaultVisible: Boolean,
  onClose: Function,
  onDelete: Function,
  onIndexChange: Function
};

export { props as default };
//# sourceMappingURL=props.js.map
