/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Row from './row.js';
import _Col from './col.js';
import { withInstall } from '../shared/component.js';
import 'vue';
import './row-props.js';
import '../config.js';
import './constants.js';
import '../hooks/tnode.js';
import 'lodash-es';
import '../hooks/render-tnode.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '@babel/runtime/helpers/defineProperty';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../shared/util.js';
import '@babel/runtime/helpers/slicedToArray';
import './col-props.js';

var Row = withInstall(_Row);
var Col = withInstall(_Col);
var index = {
  Row: Row,
  Col: Col
};

export { Col, Row, index as default };
//# sourceMappingURL=index.js.map
