/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Picker from './picker.js';
import script from './cascade.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'lodash-es';
import '../config.js';
import './props.js';
import '../hooks/useVModel.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import './picker-item.js';
import './picker.class.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '../shared/dom.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import './utils.js';

var Picker = withInstall(_Picker);
var Cascade = withInstall(script);

export { Cascade, Picker, Picker as default };
//# sourceMappingURL=index.js.map
