import { TdProgressProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    color: {
        type: PropType<string | string[] | Record<string, string>>;
        default: string;
    };
    label: {
        type: PropType<string | boolean | ((h: typeof import("vue").h) => import("..").SlotReturnValue)>;
        default: boolean;
    };
    percentage: {
        type: NumberConstructor;
        default: number;
    };
    size: {
        type: PropType<string | number>;
        default: string;
    };
    status: {
        type: PropType<import("./type").ProgressStatus>;
        validator(val: TdProgressProps['status']): boolean;
    };
    strokeWidth: {
        type: PropType<string | number>;
    };
    theme: {
        type: PropType<import("./type").ProgressTheme>;
        default: import("./type").ProgressTheme;
        validator(val: TdProgressProps['theme']): boolean;
    };
    trackColor: {
        type: StringConstructor;
        default: string;
    };
};
export default _default;
