/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Radio from './radio.js';
import _RadioGroup from './radio-group.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'tdesign-icons-vue-next';
import '../config.js';
import './props.js';
import '../hooks/useVModel.js';
import 'lodash-es';
import '../form/hooks.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import './radio-group-props.js';

var RadioGroup = withInstall(_RadioGroup);
var Radio = withInstall(_Radio);

export { Radio, RadioGroup, Radio as default };
//# sourceMappingURL=index.js.map
