/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Search from './search.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'tdesign-icons-vue-next';
import '@vueuse/core';
import '../config.js';
import '../shared/dom.js';
import 'lodash-es';
import './props.js';
import '../hooks/useVModel.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useLengthLimit.js';
import '../_common/js/log/log.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '../_common/js/common.js';
import '../cell/cell.js';
import '../cell/props.js';
import '../form/hooks.js';
import '../shared/hover.js';

var Search = withInstall(_Search);

export { Search, Search as default };
//# sourceMappingURL=index.js.map
