/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Skeleton from './skeleton.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import 'lodash-es';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../config.js';
import './props.js';

var Skeleton = withInstall(_Skeleton);

export { Skeleton, Skeleton as default };
//# sourceMappingURL=index.js.map
