/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Slider from './slider.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'lodash-es';
import '@vueuse/core';
import '../config.js';
import './props.js';
import '../hooks/useVModel.js';
import './tool.js';
import '../form/hooks.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';

var Slider = withInstall(_Slider);

export { Slider, Slider as default };
//# sourceMappingURL=index.js.map
