/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  content: {
    type: [String, Function],
    default: ""
  },
  icon: {
    type: [Function]
  },
  status: {
    type: String,
    default: "default",
    validator: function validator(val) {
      if (!val) return true;
      return ["default", "process", "finish", "error"].includes(val);
    }
  },
  title: {
    type: [String, Function],
    default: ""
  },
  titleRight: {
    type: [String, Function],
    default: ""
  }
};

export { props as default };
//# sourceMappingURL=step-item-props.js.map
