/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Tabs from './tabs.js';
import _TabPanel from './tab-panel.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import 'lodash-es';
import '../config.js';
import './props.js';
import './tab-nav-item.js';
import './tab-panel-props.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useVModel.js';
import '../shared/dom.js';
import '../shared/constants.js';
import '../sticky/index.js';
import '../sticky/sticky.js';
import '@vueuse/core';
import '../sticky/props.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../badge/index.js';
import '../badge/badge.js';
import '../badge/props.js';

var Tabs = withInstall(_Tabs);
var TabPanel = withInstall(_TabPanel);

export { TabPanel, Tabs, Tabs as default };
//# sourceMappingURL=index.js.map
