/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function template(str, vars) {
  return str.replace(/\${(.*?)}/g, function (_, prop) {
    return vars[prop.trim()] || "";
  });
}

exports.template = template;
//# sourceMappingURL=stringTemplate.js.map
