import { TdCascaderProps } from './type';
import { PropType } from 'vue';
declare const _default: {
    checkStrictly: BooleanConstructor;
    closeBtn: {
        type: PropType<boolean | ((h: typeof import("vue").h) => import("..").SlotReturnValue)>;
        default: boolean;
    };
    header: {
        type: PropType<(h: typeof import("vue").h) => import("..").SlotReturnValue>;
    };
    keys: {
        type: PropType<import("..").TreeKeysType>;
    };
    middleContent: {
        type: PropType<(h: typeof import("vue").h) => import("..").SlotReturnValue>;
    };
    options: {
        type: PropType<import("..").TreeOptionData<string | number>[]>;
        default: () => TdCascaderProps['options'];
    };
    placeholder: {
        type: PropType<string | ((h: typeof import("vue").h) => import("..").SlotReturnValue)>;
        default: string;
    };
    subTitles: {
        type: PropType<string[]>;
        default: () => TdCascaderProps['subTitles'];
    };
    theme: {
        type: PropType<"tab" | "step">;
        default: "tab" | "step";
        validator(val: TdCascaderProps['theme']): boolean;
    };
    title: {
        type: PropType<string | ((h: typeof import("vue").h) => import("..").SlotReturnValue)>;
    };
    value: {
        type: PropType<string | number>;
        default: any;
    };
    modelValue: {
        type: PropType<string | number>;
        default: any;
    };
    defaultValue: {
        type: PropType<string | number>;
    };
    visible: BooleanConstructor;
    onChange: PropType<(value: string | number, selectedOptions: import("..").TreeOptionData<string | number>[]) => void>;
    onClose: PropType<(trigger: import("./type").CascaderTriggerSource) => void>;
    onPick: PropType<(context: {
        value: string | number;
        label: string;
        index: number;
        level: number;
    }) => void>;
};
export default _default;
