/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _toConsumableArray = require('@babel/runtime/helpers/toConsumableArray');
var _slicedToArray = require('@babel/runtime/helpers/slicedToArray');
var isArray = require('../_chunks/dep-161c0305.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _toConsumableArray__default = /*#__PURE__*/_interopDefaultLegacy(_toConsumableArray);
var _slicedToArray__default = /*#__PURE__*/_interopDefaultLegacy(_slicedToArray);

var getMeaningColumn = function getMeaningColumn(mode) {
  var arr = ["year", "month", "date", "hour", "minute", "second"];
  if (isArray.isArray(mode)) {
    var ans = [];
    var _mode = _slicedToArray__default["default"](mode, 2),
      dateMode = _mode[0],
      timeMode = _mode[1];
    if (dateMode != null) {
      var cutIndex2 = arr.indexOf(dateMode);
      if (cutIndex2 <= 2 && cutIndex2 > -1) {
        ans.push.apply(ans, _toConsumableArray__default["default"](arr.slice(0, cutIndex2 + 1)));
      }
    }
    if (timeMode != null) {
      var _cutIndex = arr.indexOf(timeMode);
      if (_cutIndex > 2) {
        ans.push.apply(ans, _toConsumableArray__default["default"](arr.slice(3, _cutIndex + 1)));
      }
    }
    return ans;
  }
  var cutIndex = arr.indexOf(mode);
  return arr.slice(0, cutIndex + 1);
};

exports.getMeaningColumn = getMeaningColumn;
//# sourceMappingURL=shared.js.map
