/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var props = {
  attach: {
    type: [String, Function]
  },
  closeOnOverlayClick: {
    type: Boolean,
    default: true
  },
  destroyOnClose: Boolean,
  footer: {
    type: Function
  },
  items: {
    type: Array
  },
  placement: {
    type: String,
    default: "right",
    validator: function validator(val) {
      if (!val) return true;
      return ["left", "right"].includes(val);
    }
  },
  showOverlay: {
    type: Boolean,
    default: true
  },
  title: {
    type: [String, Function]
  },
  visible: Boolean,
  zIndex: {
    type: Number
  },
  onClose: Function,
  onItemClick: Function,
  onOverlayClick: Function
};

exports["default"] = props;
//# sourceMappingURL=props.js.map
