/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var ResultProps = {
  description: {
    type: [String, Function]
  },
  icon: {
    type: Function
  },
  image: {
    type: [String, Function]
  },
  theme: {
    type: String,
    default: "default",
    validator: function validator(val) {
      if (!val) return true;
      return ["default", "success", "warning", "error"].includes(val);
    }
  },
  title: {
    type: [String, Function],
    default: ""
  }
};

exports["default"] = ResultProps;
//# sourceMappingURL=props.js.map
