import { UploadFile } from './type';
declare const _default: import("vue").DefineComponent<{
    accept: {
        type: StringConstructor;
        default: string;
    };
    action: {
        type: StringConstructor;
        default: string;
    };
    addContent: {
        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("..").SlotReturnValue)>;
    };
    allowUploadDuplicateFile: BooleanConstructor;
    autoUpload: {
        type: BooleanConstructor;
        default: boolean;
    };
    beforeAllFilesUpload: {
        type: import("vue").PropType<(file: UploadFile[]) => boolean | Promise<boolean>>;
    };
    beforeUpload: {
        type: import("vue").PropType<(file: UploadFile) => boolean | Promise<boolean>>;
    };
    capture: {
        type: StringConstructor;
    };
    data: {
        type: import("vue").PropType<Record<string, any> | ((files: UploadFile[]) => Record<string, any>)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    fileListDisplay: {
        type: import("vue").PropType<(h: typeof import("vue").h, props: {
            files: UploadFile[];
            dragEvents?: import("..").UploadDisplayDragEvents;
        }) => import("..").SlotReturnValue>;
    };
    files: {
        type: import("vue").PropType<UploadFile[]>;
        default: any;
    };
    defaultFiles: {
        type: import("vue").PropType<UploadFile[]>;
        default: () => UploadFile[];
    };
    format: {
        type: import("vue").PropType<(file: File) => UploadFile>;
    };
    formatRequest: {
        type: import("vue").PropType<(requestData: {
            [key: string]: any;
        }) => {
            [key: string]: any;
        }>;
    };
    formatResponse: {
        type: import("vue").PropType<(response: any, context: import("./type").FormatResponseContext) => import("./type").ResponseType>;
    };
    headers: {
        type: import("vue").PropType<{
            [key: string]: string;
        }>;
    };
    imageProps: {
        type: import("vue").PropType<import("../image").TdImageProps>;
    };
    isBatchUpload: BooleanConstructor;
    max: {
        type: NumberConstructor;
        default: number;
    };
    method: {
        type: import("vue").PropType<"options" | "post" | "get" | "POST" | "GET" | "PUT" | "OPTIONS" | "PATCH" | "put" | "patch">;
        default: "options" | "post" | "get" | "POST" | "GET" | "PUT" | "OPTIONS" | "PATCH" | "put" | "patch";
        validator(val: "options" | "post" | "get" | "POST" | "GET" | "PUT" | "OPTIONS" | "PATCH" | "put" | "patch"): boolean;
    };
    mockProgressDuration: {
        type: NumberConstructor;
    };
    multiple: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    preview: {
        type: BooleanConstructor;
        default: boolean;
    };
    requestMethod: {
        type: import("vue").PropType<(files: UploadFile | UploadFile[]) => Promise<import("./type").RequestMethodResponse>>;
    };
    sizeLimit: {
        type: import("vue").PropType<number | import("./type").SizeLimitObj>;
    };
    useMockProgress: {
        type: BooleanConstructor;
        default: boolean;
    };
    uploadAllFilesInOneRequest: BooleanConstructor;
    value: {
        type: import("vue").PropType<UploadFile[]>;
        default: any;
    };
    modelValue: {
        type: import("vue").PropType<UploadFile[]>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<UploadFile[]>;
        default: () => UploadFile[];
    };
    withCredentials: BooleanConstructor;
    onCancelUpload: import("vue").PropType<() => void>;
    onChange: import("vue").PropType<(value: UploadFile[], context: import("./type").UploadChangeContext) => void>;
    onClickUpload: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onFail: import("vue").PropType<(options: import("./type").UploadFailContext) => void>;
    onOneFileFail: import("vue").PropType<(options: import("./type").UploadFailContext) => void>;
    onOneFileSuccess: import("vue").PropType<(context: Pick<import("./type").SuccessContext, "XMLHttpRequest" | "e" | "file" | "response">) => void>;
    onPreview: import("vue").PropType<(options: {
        file: UploadFile;
        index: number;
        e: MouseEvent;
    }) => void>;
    onProgress: import("vue").PropType<(options: import("./type").ProgressContext) => void>;
    onRemove: import("vue").PropType<(context: import("./type").UploadRemoveContext) => void>;
    onSelectChange: import("vue").PropType<(files: File[], context: import("./type").UploadSelectChangeContext) => void>;
    onSuccess: import("vue").PropType<(context: import("./type").SuccessContext) => void>;
    onValidate: import("vue").PropType<(context: {
        type: import("./type").UploadValidateType;
        files: UploadFile[];
    }) => void>;
    onWaitingUploadFilesChange: import("vue").PropType<(context: {
        files: UploadFile[];
        trigger: "remove" | "validate" | "uploaded";
    }) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "progress" | "change" | "success" | "validate" | "remove" | "fail" | "update:files" | "preview" | "select-change" | "click-upload")[], "progress" | "update:modelValue" | "remove" | "change" | "success" | "validate" | "fail" | "preview" | "update:files" | "select-change" | "click-upload", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    accept: {
        type: StringConstructor;
        default: string;
    };
    action: {
        type: StringConstructor;
        default: string;
    };
    addContent: {
        type: import("vue").PropType<string | ((h: typeof import("vue").h) => import("..").SlotReturnValue)>;
    };
    allowUploadDuplicateFile: BooleanConstructor;
    autoUpload: {
        type: BooleanConstructor;
        default: boolean;
    };
    beforeAllFilesUpload: {
        type: import("vue").PropType<(file: UploadFile[]) => boolean | Promise<boolean>>;
    };
    beforeUpload: {
        type: import("vue").PropType<(file: UploadFile) => boolean | Promise<boolean>>;
    };
    capture: {
        type: StringConstructor;
    };
    data: {
        type: import("vue").PropType<Record<string, any> | ((files: UploadFile[]) => Record<string, any>)>;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    fileListDisplay: {
        type: import("vue").PropType<(h: typeof import("vue").h, props: {
            files: UploadFile[];
            dragEvents?: import("..").UploadDisplayDragEvents;
        }) => import("..").SlotReturnValue>;
    };
    files: {
        type: import("vue").PropType<UploadFile[]>;
        default: any;
    };
    defaultFiles: {
        type: import("vue").PropType<UploadFile[]>;
        default: () => UploadFile[];
    };
    format: {
        type: import("vue").PropType<(file: File) => UploadFile>;
    };
    formatRequest: {
        type: import("vue").PropType<(requestData: {
            [key: string]: any;
        }) => {
            [key: string]: any;
        }>;
    };
    formatResponse: {
        type: import("vue").PropType<(response: any, context: import("./type").FormatResponseContext) => import("./type").ResponseType>;
    };
    headers: {
        type: import("vue").PropType<{
            [key: string]: string;
        }>;
    };
    imageProps: {
        type: import("vue").PropType<import("../image").TdImageProps>;
    };
    isBatchUpload: BooleanConstructor;
    max: {
        type: NumberConstructor;
        default: number;
    };
    method: {
        type: import("vue").PropType<"options" | "post" | "get" | "POST" | "GET" | "PUT" | "OPTIONS" | "PATCH" | "put" | "patch">;
        default: "options" | "post" | "get" | "POST" | "GET" | "PUT" | "OPTIONS" | "PATCH" | "put" | "patch";
        validator(val: "options" | "post" | "get" | "POST" | "GET" | "PUT" | "OPTIONS" | "PATCH" | "put" | "patch"): boolean;
    };
    mockProgressDuration: {
        type: NumberConstructor;
    };
    multiple: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    preview: {
        type: BooleanConstructor;
        default: boolean;
    };
    requestMethod: {
        type: import("vue").PropType<(files: UploadFile | UploadFile[]) => Promise<import("./type").RequestMethodResponse>>;
    };
    sizeLimit: {
        type: import("vue").PropType<number | import("./type").SizeLimitObj>;
    };
    useMockProgress: {
        type: BooleanConstructor;
        default: boolean;
    };
    uploadAllFilesInOneRequest: BooleanConstructor;
    value: {
        type: import("vue").PropType<UploadFile[]>;
        default: any;
    };
    modelValue: {
        type: import("vue").PropType<UploadFile[]>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<UploadFile[]>;
        default: () => UploadFile[];
    };
    withCredentials: BooleanConstructor;
    onCancelUpload: import("vue").PropType<() => void>;
    onChange: import("vue").PropType<(value: UploadFile[], context: import("./type").UploadChangeContext) => void>;
    onClickUpload: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onFail: import("vue").PropType<(options: import("./type").UploadFailContext) => void>;
    onOneFileFail: import("vue").PropType<(options: import("./type").UploadFailContext) => void>;
    onOneFileSuccess: import("vue").PropType<(context: Pick<import("./type").SuccessContext, "XMLHttpRequest" | "e" | "file" | "response">) => void>;
    onPreview: import("vue").PropType<(options: {
        file: UploadFile;
        index: number;
        e: MouseEvent;
    }) => void>;
    onProgress: import("vue").PropType<(options: import("./type").ProgressContext) => void>;
    onRemove: import("vue").PropType<(context: import("./type").UploadRemoveContext) => void>;
    onSelectChange: import("vue").PropType<(files: File[], context: import("./type").UploadSelectChangeContext) => void>;
    onSuccess: import("vue").PropType<(context: import("./type").SuccessContext) => void>;
    onValidate: import("vue").PropType<(context: {
        type: import("./type").UploadValidateType;
        files: UploadFile[];
    }) => void>;
    onWaitingUploadFilesChange: import("vue").PropType<(context: {
        files: UploadFile[];
        trigger: "remove" | "validate" | "uploaded";
    }) => void>;
}>> & {
    onChange?: (...args: any[]) => any;
    onProgress?: (...args: any[]) => any;
    "onUpdate:modelValue"?: (...args: any[]) => any;
    onValidate?: (...args: any[]) => any;
    onFail?: (...args: any[]) => any;
    onPreview?: (...args: any[]) => any;
    onRemove?: (...args: any[]) => any;
    onSuccess?: (...args: any[]) => any;
    "onUpdate:files"?: (...args: any[]) => any;
    "onSelect-change"?: (...args: any[]) => any;
    "onClick-upload"?: (...args: any[]) => any;
}, {
    value: UploadFile[];
    defaultValue: UploadFile[];
    modelValue: UploadFile[];
    name: string;
    disabled: boolean;
    multiple: boolean;
    max: number;
    action: string;
    files: UploadFile[];
    defaultFiles: UploadFile[];
    method: "options" | "post" | "get" | "POST" | "GET" | "PUT" | "OPTIONS" | "PATCH" | "put" | "patch";
    withCredentials: boolean;
    useMockProgress: boolean;
    uploadAllFilesInOneRequest: boolean;
    isBatchUpload: boolean;
    allowUploadDuplicateFile: boolean;
    autoUpload: boolean;
    accept: string;
    preview: boolean;
}, {}>;
export default _default;
