/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

function getMonthByOffset(date, offset) {
  var _date = new Date(date);
  _date.setMonth(_date.getMonth() + offset);
  _date.setDate(1);
  return _date;
}
function getYearByOffset(date, offset) {
  var _date = new Date(date);
  _date.setFullYear(_date.getFullYear() + offset);
  _date.setDate(1);
  return _date;
}
var getPrevMonth = function getPrevMonth(date) {
  return getMonthByOffset(date, -1);
};
var getNextMonth = function getNextMonth(date) {
  return getMonthByOffset(date, 1);
};
var getPrevYear = function getPrevYear(date) {
  return getYearByOffset(date, -1);
};
var getNextYear = function getNextYear(date) {
  return getYearByOffset(date, 1);
};

export { getMonthByOffset, getNextMonth, getNextYear, getPrevMonth, getPrevYear, getYearByOffset };
//# sourceMappingURL=utils.mjs.map
