/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _DropdownMenu from './dropdown-menu.mjs';
import _DropdownItem from './dropdown-item.mjs';
import '../shared/index.mjs';
import './style/css.mjs';
import './type.mjs';
import { withInstall } from '../shared/component.mjs';
import '../_chunks/dep-2822c770.mjs';
import '../_chunks/dep-0f7e0eb1.mjs';
import 'vue';
import '@vueuse/core';
import 'tdesign-icons-vue-next';
import 'lodash-es';
import '../config.mjs';
import './context.mjs';
import './dom-utils.mjs';
import '../hooks/tnode.mjs';
import '../hooks/render-tnode.mjs';
import './props.mjs';
import '../hooks/useClass.mjs';
import '../config-provider/useConfig.mjs';
import '../config-provider/context.mjs';
import '../_common/js/global-config/mobile/default-config.mjs';
import '../_common/js/global-config/mobile/locale/zh_CN.mjs';
import '../_chunks/dep-2a1ce6fa.mjs';
import '../_chunks/dep-308d506d.mjs';
import '../_chunks/dep-057983c9.mjs';
import '../_chunks/dep-735bd654.mjs';
import '../config-provider/type.mjs';
import '../shared/useExpose/index.mjs';
import '../_chunks/dep-0a95ce1b.mjs';
import '../_chunks/dep-3a5e8269.mjs';
import '../radio/index.mjs';
import '../radio/radio.mjs';
import '../radio/props.mjs';
import '../hooks/useVModel.mjs';
import '../form/hooks.mjs';
import '../radio/radio-group.mjs';
import '../radio/radio-group-props.mjs';
import '../radio/type.mjs';
import '../shared/functions.mjs';
import '../shared/util.mjs';
import '../shared/constants.mjs';
import '../shared/render.mjs';
import '../shared/dom.mjs';
import '../shared/render-tnode.mjs';
import '../shared/useToggle/index.mjs';
import '../shared/useCountDown/index.mjs';
import '../_chunks/dep-ebc76206.mjs';
import '../shared/useCountDown/utils.mjs';
import '../shared/useChildSlots/index.mjs';
import '../_chunks/dep-af443fd2.mjs';
import '../shared/useTouch/index.mjs';
import '../shared/useScrollParent/index.mjs';
import '../shared/useTest/index.mjs';
import '../shared/useClickAway/index.mjs';
import '../shared/useGesture/index.mjs';
import '@use-gesture/vanilla';
import '../shared/hover.mjs';
import '../button/index.mjs';
import '../button/button.mjs';
import '../loading/index.mjs';
import '../loading/loading.mjs';
import '../loading/icon/gradient.mjs';
import '../_common/js/loading/circle-adapter.mjs';
import '../_common/js/utils/setStyle.mjs';
import '../_common/js/utils/helper.mjs';
import '../_chunks/dep-f875d251.mjs';
import '../loading/icon/spinner.mjs';
import '../loading/props.mjs';
import '../loading/type.mjs';
import '../loading/plugin.mjs';
import '../button/props.mjs';
import '../button/type.mjs';
import '../popup/index.mjs';
import '../popup/popup.mjs';
import '../popup/props.mjs';
import '../overlay/index.mjs';
import '../overlay/overlay.mjs';
import '../overlay/props.mjs';
import '../hooks/useLockScroll.mjs';
import '../_util/useTouch.mjs';
import '../_util/getScrollParent.mjs';
import '../hooks/useTeleport.mjs';
import '../popup/type.mjs';
import '../checkbox/index.mjs';
import '../checkbox/checkbox.mjs';
import '../checkbox/props.mjs';
import '../checkbox/checkbox-group.mjs';
import '../checkbox/checkbox-group-props.mjs';
import '../checkbox/hooks/index.mjs';
import '../checkbox/hooks/getOptions.mjs';
import '../checkbox/hooks/setCheckAllStatus.mjs';
import '../checkbox/type.mjs';
import './dropdown-item-props.mjs';

var DropdownMenu = withInstall(_DropdownMenu);
var DropdownItem = withInstall(_DropdownItem);

export { DropdownItem, DropdownMenu, DropdownMenu as default };
//# sourceMappingURL=index.mjs.map
