declare const _default: import("vue").DefineComponent<{
    disableInput: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    inputWidth: {
        type: NumberConstructor;
    };
    integer: {
        type: BooleanConstructor;
        default: boolean;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    min: {
        type: NumberConstructor;
        default: number;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    step: {
        type: NumberConstructor;
        default: number;
    };
    theme: {
        type: import("vue").PropType<"normal" | "filled" | "outline">;
        default: "normal" | "filled" | "outline";
        validator(val: "normal" | "filled" | "outline"): boolean;
    };
    value: {
        type: import("vue").PropType<string | number>;
        default: any;
    };
    modelValue: {
        type: import("vue").PropType<string | number>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<string | number>;
        default: number;
    };
    onBlur: import("vue").PropType<(value: string | number) => void>;
    onChange: import("vue").PropType<(value: string | number) => void>;
    onFocus: import("vue").PropType<(value: string | number) => void>;
    onOverlimit: import("vue").PropType<(type: "minus" | "plus") => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    disableInput: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    inputWidth: {
        type: NumberConstructor;
    };
    integer: {
        type: BooleanConstructor;
        default: boolean;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    min: {
        type: NumberConstructor;
        default: number;
    };
    size: {
        type: import("vue").PropType<import("..").SizeEnum>;
        default: import("..").SizeEnum;
        validator(val: import("..").SizeEnum): boolean;
    };
    step: {
        type: NumberConstructor;
        default: number;
    };
    theme: {
        type: import("vue").PropType<"normal" | "filled" | "outline">;
        default: "normal" | "filled" | "outline";
        validator(val: "normal" | "filled" | "outline"): boolean;
    };
    value: {
        type: import("vue").PropType<string | number>;
        default: any;
    };
    modelValue: {
        type: import("vue").PropType<string | number>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<string | number>;
        default: number;
    };
    onBlur: import("vue").PropType<(value: string | number) => void>;
    onChange: import("vue").PropType<(value: string | number) => void>;
    onFocus: import("vue").PropType<(value: string | number) => void>;
    onOverlimit: import("vue").PropType<(type: "minus" | "plus") => void>;
}>>, {
    value: string | number;
    defaultValue: string | number;
    modelValue: string | number;
    theme: "normal" | "filled" | "outline";
    size: import("..").SizeEnum;
    disabled: boolean;
    min: number;
    max: number;
    step: number;
    disableInput: boolean;
    integer: boolean;
}, {}>;
export default _default;
