import { h } from 'vue';
import { TdStickyProps } from '../sticky/type';
import { TdTabPanelProps } from './type';
declare const _default: import("vue").DefineComponent<{
    animation: {
        type: import("vue").PropType<import("./type").TabAnimation>;
    };
    bottomLineMode: {
        type: import("vue").PropType<"fixed" | "auto" | "full">;
        default: "fixed" | "auto" | "full";
        validator(val: "fixed" | "auto" | "full"): boolean;
    };
    list: {
        type: import("vue").PropType<TdTabPanelProps[]>;
    };
    middle: {
        type: import("vue").PropType<(h: typeof h) => import("..").SlotReturnValue>;
    };
    showBottomLine: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<"medium" | "large">;
        default: "medium" | "large";
        validator(val: "medium" | "large"): boolean;
    };
    spaceEvenly: {
        type: BooleanConstructor;
        default: boolean;
    };
    split: {
        type: BooleanConstructor;
        default: boolean;
    };
    sticky: BooleanConstructor;
    stickyProps: {
        type: import("vue").PropType<TdStickyProps>;
    };
    swipeable: {
        type: BooleanConstructor;
        default: boolean;
    };
    theme: {
        type: import("vue").PropType<"line" | "tag" | "card">;
        default: "line" | "tag" | "card";
        validator(val: "line" | "tag" | "card"): boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").TabValue>;
        default: any;
    };
    modelValue: {
        type: import("vue").PropType<import("./type").TabValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").TabValue>;
    };
    onChange: import("vue").PropType<(value: import("./type").TabValue, label: string) => void>;
    onClick: import("vue").PropType<(value: import("./type").TabValue, label: string) => void>;
    onScroll: import("vue").PropType<(scrollTop: number, isFixed: boolean) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    animation: {
        type: import("vue").PropType<import("./type").TabAnimation>;
    };
    bottomLineMode: {
        type: import("vue").PropType<"fixed" | "auto" | "full">;
        default: "fixed" | "auto" | "full";
        validator(val: "fixed" | "auto" | "full"): boolean;
    };
    list: {
        type: import("vue").PropType<TdTabPanelProps[]>;
    };
    middle: {
        type: import("vue").PropType<(h: typeof h) => import("..").SlotReturnValue>;
    };
    showBottomLine: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<"medium" | "large">;
        default: "medium" | "large";
        validator(val: "medium" | "large"): boolean;
    };
    spaceEvenly: {
        type: BooleanConstructor;
        default: boolean;
    };
    split: {
        type: BooleanConstructor;
        default: boolean;
    };
    sticky: BooleanConstructor;
    stickyProps: {
        type: import("vue").PropType<TdStickyProps>;
    };
    swipeable: {
        type: BooleanConstructor;
        default: boolean;
    };
    theme: {
        type: import("vue").PropType<"line" | "tag" | "card">;
        default: "line" | "tag" | "card";
        validator(val: "line" | "tag" | "card"): boolean;
    };
    value: {
        type: import("vue").PropType<import("./type").TabValue>;
        default: any;
    };
    modelValue: {
        type: import("vue").PropType<import("./type").TabValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<import("./type").TabValue>;
    };
    onChange: import("vue").PropType<(value: import("./type").TabValue, label: string) => void>;
    onClick: import("vue").PropType<(value: import("./type").TabValue, label: string) => void>;
    onScroll: import("vue").PropType<(scrollTop: number, isFixed: boolean) => void>;
}>>, {
    split: boolean;
    value: import("./type").TabValue;
    modelValue: import("./type").TabValue;
    theme: "line" | "tag" | "card";
    size: "medium" | "large";
    sticky: boolean;
    bottomLineMode: "fixed" | "auto" | "full";
    showBottomLine: boolean;
    spaceEvenly: boolean;
    swipeable: boolean;
}, {}>;
export default _default;
