/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  align: {
    type: String,
    default: "middle",
    validator: function validator(val) {
      if (!val) return true;
      return ["top", "middle", "bottom"].includes(val);
    }
  },
  arrow: Boolean,
  bordered: {
    type: Boolean,
    default: true
  },
  description: {
    type: [String, Function]
  },
  hover: Boolean,
  image: {
    type: [String, Function]
  },
  leftIcon: {
    type: Function
  },
  note: {
    type: [String, Function]
  },
  required: Boolean,
  rightIcon: {
    type: Function
  },
  title: {
    type: [String, Function]
  },
  onClick: Function
};

export { props as default };
//# sourceMappingURL=props.js.map
