import type { ColorPickerChangeTrigger } from './type';
declare const _default: import("vue").DefineComponent<{
    clearable: BooleanConstructor;
    enableAlpha: BooleanConstructor;
    fixed: BooleanConstructor;
    format: {
        type: import("vue").PropType<"CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK">;
        default: "CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK";
        validator(val: "CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK"): boolean;
    };
    swatchColors: {
        type: import("vue").PropType<string[]>;
        default: any;
    };
    type: {
        type: import("vue").PropType<import("./type").TypeEnum>;
        default: import("./type").TypeEnum;
        validator(val: import("./type").TypeEnum): boolean;
    };
    value: {
        type: StringConstructor;
        default: any;
    };
    modelValue: {
        type: StringConstructor;
        default: any;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onChange: import("vue").PropType<(value: string, context: {
        color: import("./type").ColorObject;
        trigger: ColorPickerChangeTrigger;
    }) => void>;
    onPaletteBarChange: import("vue").PropType<(context: {
        color: import("./type").ColorObject;
    }) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    clearable: BooleanConstructor;
    enableAlpha: BooleanConstructor;
    fixed: BooleanConstructor;
    format: {
        type: import("vue").PropType<"CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK">;
        default: "CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK";
        validator(val: "CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK"): boolean;
    };
    swatchColors: {
        type: import("vue").PropType<string[]>;
        default: any;
    };
    type: {
        type: import("vue").PropType<import("./type").TypeEnum>;
        default: import("./type").TypeEnum;
        validator(val: import("./type").TypeEnum): boolean;
    };
    value: {
        type: StringConstructor;
        default: any;
    };
    modelValue: {
        type: StringConstructor;
        default: any;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onChange: import("vue").PropType<(value: string, context: {
        color: import("./type").ColorObject;
        trigger: ColorPickerChangeTrigger;
    }) => void>;
    onPaletteBarChange: import("vue").PropType<(context: {
        color: import("./type").ColorObject;
    }) => void>;
}>>, {
    fixed: boolean;
    value: string;
    defaultValue: string;
    modelValue: string;
    type: import("./type").TypeEnum;
    format: "CSS" | "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK";
    swatchColors: string[];
    clearable: boolean;
    enableAlpha: boolean;
}, {}>;
export default _default;
