import { ButtonProps } from '../button';
import { TNode } from '../common';
export interface TdFabProps {
    buttonProps?: ButtonProps;
    draggable?: boolean | FabDirectionEnum;
    icon?: TNode;
    style?: string;
    text?: string;
    yBounds?: Array<string | number>;
    onClick?: (context: {
        e: MouseEvent;
    }) => void;
    onDragEnd?: (context: {
        e: TouchEvent;
    }) => void;
    onDragStart?: (context: {
        e: TouchEvent;
    }) => void;
}
export declare type FabDirectionEnum = 'all' | 'vertical' | 'horizontal';
