/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var props = {
  badge: {
    type: Object
  },
  description: {
    type: [String, Function]
  },
  icon: {
    type: Function
  },
  image: {
    type: [String, Object, Function]
  },
  layout: {
    type: String,
    default: "vertical",
    validator: function validator(val) {
      if (!val) return true;
      return ["vertical", "horizontal"].includes(val);
    }
  },
  text: {
    type: [String, Function]
  }
};

export { props as default };
//# sourceMappingURL=grid-item-props.js.map
