/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Cascader from './cascader.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'tdesign-icons-vue-next';
import 'lodash-es';
import '../popup/index.js';
import '../popup/popup.js';
import '../popup/props.js';
import '../overlay/index.js';
import '../overlay/overlay.js';
import '../shared/dom.js';
import '../config.js';
import '../overlay/props.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useVModel.js';
import '../hooks/useLockScroll.js';
import '../_util/useTouch.js';
import '../_util/getScrollParent.js';
import '../hooks/useTeleport.js';
import '../shared/render-tnode.js';
import '../tabs/index.js';
import '../tabs/tabs.js';
import '../tabs/props.js';
import '../tabs/tab-nav-item.js';
import '../tabs/tab-panel-props.js';
import '../shared/constants.js';
import '../sticky/index.js';
import '../sticky/sticky.js';
import '@vueuse/core';
import '../sticky/props.js';
import '../badge/index.js';
import '../badge/badge.js';
import '../badge/props.js';
import '../tabs/tab-panel.js';
import '../radio/index.js';
import '../radio/radio.js';
import '../radio/props.js';
import '../form/hooks.js';
import '../radio/radio-group.js';
import '../radio/radio-group-props.js';
import './props.js';

var Cascader = withInstall(_Cascader);

export { Cascader, Cascader as default };
//# sourceMappingURL=index.js.map
