import { KeysType } from '../common';
import { CheckboxGroupValue } from './type';
export interface Child {
    value: string | number;
}
declare const _default: import("vue").DefineComponent<{
    borderless: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    keys: {
        type: import("vue").PropType<KeysType>;
    };
    max: {
        type: NumberConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("./type").CheckboxOption[]>;
    };
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    value: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: any;
    };
    modelValue: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: () => CheckboxGroupValue;
    };
    onChange: import("vue").PropType<(value: CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "update:value" | "change")[], "update:modelValue" | "update:value" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    borderless: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    keys: {
        type: import("vue").PropType<KeysType>;
    };
    max: {
        type: NumberConstructor;
        default: any;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("./type").CheckboxOption[]>;
    };
    readonly: {
        type: BooleanConstructor;
        default: any;
    };
    value: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: any;
    };
    modelValue: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: any;
    };
    defaultValue: {
        type: import("vue").PropType<CheckboxGroupValue>;
        default: () => CheckboxGroupValue;
    };
    onChange: import("vue").PropType<(value: CheckboxGroupValue, context: import("./type").CheckboxGroupChangeContext) => void>;
}>> & {
    onChange?: (...args: any[]) => any;
    "onUpdate:modelValue"?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}, {
    readonly: boolean;
    value: CheckboxGroupValue;
    defaultValue: CheckboxGroupValue;
    modelValue: CheckboxGroupValue;
    name: string;
    disabled: boolean;
    max: number;
    borderless: boolean;
}, {}>;
export default _default;
