/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Checkbox from './checkbox.js';
import _CheckboxGroup from './checkbox-group.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'tdesign-icons-vue-next';
import '../config.js';
import './props.js';
import '../hooks/useVModel.js';
import 'lodash-es';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../form/hooks.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../shared/render-tnode.js';
import '@babel/runtime/helpers/toConsumableArray';
import './checkbox-group-props.js';
import './hooks/getOptions.js';
import '../shared/useChildSlots/index.js';
import './hooks/setCheckAllStatus.js';

var Checkbox = withInstall(_Checkbox);
var CheckboxGroup = withInstall(_CheckboxGroup);

export { Checkbox, CheckboxGroup, Checkbox as default };
//# sourceMappingURL=index.js.map
