/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Collapse from './collapse.js';
import _CollapsePanel from './collapse-panel.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import './props.js';
import '../config.js';
import '../hooks/tnode.js';
import 'lodash-es';
import '../hooks/render-tnode.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '@babel/runtime/helpers/defineProperty';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/useVModel.js';
import 'tdesign-icons-vue-next';
import '../cell/index.js';
import '../cell/cell.js';
import '../cell/props.js';
import '../form/hooks.js';
import '../shared/hover.js';
import '../cell/cell-group.js';
import '../cell/cell-group-props.js';
import './collapse-panel-props.js';
import './util.js';

var Collapse = withInstall(_Collapse);
var CollapsePanel = withInstall(_CollapsePanel);

export { Collapse, CollapsePanel, Collapse as default };
//# sourceMappingURL=index.js.map
