/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _typeof from '@babel/runtime/helpers/typeof';

function findIndex(v, set) {
  var reg = new RegExp("^".concat(!v && v !== 0 ? "" : v, "$"));
  var arr = toArray(set);
  return arr.findIndex(function (s) {
    return reg.test(s);
  });
}
function isFalsy(v) {
  return !v && v !== 0;
}
function toArray(v) {
  if (isFalsy(v)) return [];
  if (_typeof(v) === "object") return Array.from(v);
  return [v];
}

export { findIndex, isFalsy, toArray };
//# sourceMappingURL=util.js.map
