import { TdDropdownItemProps } from '../dropdown-menu/type';
import { PropType } from 'vue';
declare const _default: {
    disabled: BooleanConstructor;
    footer: {
        type: PropType<(h: typeof import("vue").h) => import("..").SlotReturnValue>;
    };
    keys: {
        type: PropType<import("..").KeysType>;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    multiple: BooleanConstructor;
    options: {
        type: PropType<import("../dropdown-menu/type").DropdownOption[]>;
        default: () => TdDropdownItemProps['options'];
    };
    optionsColumns: {
        type: PropType<string | number>;
        default: number;
    };
    placement: {
        type: PropType<"left" | "right">;
        default: "left" | "right";
        validator(val: TdDropdownItemProps['placement']): boolean;
    };
    value: {
        type: PropType<import("../dropdown-menu/type").DropdownValue>;
        default: any;
    };
    modelValue: {
        type: PropType<import("../dropdown-menu/type").DropdownValue>;
        default: any;
    };
    defaultValue: {
        type: PropType<import("../dropdown-menu/type").DropdownValue>;
        default: any;
    };
    onChange: PropType<(value: import("../dropdown-menu/type").DropdownValue) => void>;
    onConfirm: PropType<(value: import("../dropdown-menu/type").DropdownValue) => void>;
    onReset: PropType<(value: import("../dropdown-menu/type").DropdownValue) => void>;
};
export default _default;
