/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

var DropdownMenuProps = {
  closeOnClickOverlay: {
    type: Boolean,
    default: true
  },
  direction: {
    type: String,
    default: "down",
    validator: function validator(val) {
      if (!val) return true;
      return ["down", "up"].includes(val);
    }
  },
  duration: {
    type: [String, Number],
    default: 200
  },
  showOverlay: {
    type: Boolean,
    default: true
  },
  zIndex: {
    type: Number,
    default: 11600
  }
};

export { DropdownMenuProps as default };
//# sourceMappingURL=props.js.map
