/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _ImageViewer from './image-viewer.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'tdesign-icons-vue-next';
import '../config.js';
import './props.js';
import '../hooks/useDefaultValue.js';
import 'lodash-es';
import '../hooks/useVModel.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '@babel/runtime/helpers/defineProperty';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../swiper/index.js';
import '../swiper/swiper.js';
import '../swipe-cell/useSwipe.js';
import '@vueuse/core';
import '../shared/dom.js';
import '../shared/util.js';
import '../swiper/props.js';
import '../swiper/swiper-item.js';
import '../shared/useGesture/index.js';
import '@use-gesture/vanilla';

var ImageViewer = withInstall(_ImageViewer);

export { ImageViewer, ImageViewer as default };
//# sourceMappingURL=index.js.map
