/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Indexes from './indexes.js';
import _IndexesAnchor from './indexes-anchor.js';
import { withInstall } from '../shared/component.js';
import 'vue';
import 'lodash-es';
import '../shared/dom.js';
import '../config.js';
import './props.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '@babel/runtime/helpers/defineProperty';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import './indexes-anchor-props.js';

var Indexes = withInstall(_Indexes);
var IndexesAnchor = withInstall(_IndexesAnchor);

export { Indexes, IndexesAnchor, Indexes as default };
//# sourceMappingURL=index.js.map
