/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _NoticeBar from './notice-bar.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'tdesign-icons-vue-next';
import 'lodash-es';
import '../swiper/index.js';
import '../swiper/swiper.js';
import '@babel/runtime/helpers/typeof';
import '../swipe-cell/useSwipe.js';
import '@vueuse/core';
import '../shared/dom.js';
import '../shared/util.js';
import '../config.js';
import '../swiper/props.js';
import '../hooks/useVModel.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../swiper/swiper-item.js';
import './props.js';

var NoticeBar = withInstall(_NoticeBar);

export { NoticeBar, NoticeBar as default };
//# sourceMappingURL=index.js.map
