/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Progress from './progress.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import 'tdesign-icons-vue-next';
import 'lodash-es';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import './utils.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import './props.js';
import '../_common/js/progress/const.js';
import '../_common/js/progress/utils.js';
import '../config.js';

var Progress = withInstall(_Progress);

export { Progress, Progress as default };
//# sourceMappingURL=index.js.map
