declare const _default: import("vue").DefineComponent<{
    color: {
        type: import("vue").PropType<string | string[] | Record<string, string>>;
        default: string;
    };
    label: {
        type: import("vue").PropType<string | boolean | ((h: typeof import("vue").h) => import("..").SlotReturnValue)>;
        default: boolean;
    };
    percentage: {
        type: NumberConstructor;
        default: number;
    };
    size: {
        type: import("vue").PropType<string | number>;
        default: string;
    };
    status: {
        type: import("vue").PropType<import("./type").ProgressStatus>;
        validator(val: import("./type").ProgressStatus): boolean;
    };
    strokeWidth: {
        type: import("vue").PropType<string | number>;
    };
    theme: {
        type: import("vue").PropType<import("./type").ProgressTheme>;
        default: import("./type").ProgressTheme;
        validator(val: import("./type").ProgressTheme): boolean;
    };
    trackColor: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    color: {
        type: import("vue").PropType<string | string[] | Record<string, string>>;
        default: string;
    };
    label: {
        type: import("vue").PropType<string | boolean | ((h: typeof import("vue").h) => import("..").SlotReturnValue)>;
        default: boolean;
    };
    percentage: {
        type: NumberConstructor;
        default: number;
    };
    size: {
        type: import("vue").PropType<string | number>;
        default: string;
    };
    status: {
        type: import("vue").PropType<import("./type").ProgressStatus>;
        validator(val: import("./type").ProgressStatus): boolean;
    };
    strokeWidth: {
        type: import("vue").PropType<string | number>;
    };
    theme: {
        type: import("vue").PropType<import("./type").ProgressTheme>;
        default: import("./type").ProgressTheme;
        validator(val: import("./type").ProgressTheme): boolean;
    };
    trackColor: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    label: string | boolean | ((h: typeof import("vue").h) => import("..").SlotReturnValue);
    color: string | string[] | Record<string, string>;
    theme: import("./type").ProgressTheme;
    size: string | number;
    percentage: number;
    trackColor: string;
}, {}>;
export default _default;
