/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _SwipeCell from './swipe-cell.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/asyncToGenerator';
import 'vue';
import '@babel/runtime/regenerator';
import 'lodash-es';
import './useSwipe.js';
import '@babel/runtime/helpers/slicedToArray';
import '@vueuse/core';
import '../shared/dom.js';
import '../shared/util.js';
import '../config.js';
import './props.js';
import './useSureConfirm.js';
import '../shared/render.js';
import '@babel/runtime/helpers/typeof';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '@babel/runtime/helpers/defineProperty';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../shared/useClickAway/index.js';
import '@babel/runtime/helpers/toConsumableArray';

var SwipeCell = withInstall(_SwipeCell);

export { SwipeCell, SwipeCell as default };
//# sourceMappingURL=index.js.map
