/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Swiper from './swiper.js';
import _SwiperItem from './swiper-item.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/typeof';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'lodash-es';
import '../swipe-cell/useSwipe.js';
import '@vueuse/core';
import '../shared/dom.js';
import '../shared/util.js';
import '../config.js';
import './props.js';
import '../hooks/useVModel.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '@babel/runtime/helpers/defineProperty';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '../_chunks/dep-53f63811.js';
import 'dayjs';

var Swiper = withInstall(_Swiper);
var SwiperItem = withInstall(_SwiperItem);

export { Swiper, SwiperItem, Swiper as default };
//# sourceMappingURL=index.js.map
