/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Textarea from './textarea.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/typeof';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import '../hooks/useLengthLimit.js';
import 'lodash-es';
import '../_common/js/log/log.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '../config.js';
import './props.js';
import '../_common/js/utils/calcTextareaHeight.js';
import '../form/const.js';
import '../form/hooks.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useVModel.js';

var Textarea = withInstall(_Textarea);

export { Textarea, Textarea as default };
//# sourceMappingURL=index.js.map
