/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _TreeSelect from './tree-select.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import '../side-bar/index.js';
import '../side-bar/side-bar.js';
import '../config.js';
import '../side-bar/props.js';
import '../hooks/useVModel.js';
import 'lodash-es';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../side-bar/side-bar-item.js';
import '../side-bar/side-bar-item-props.js';
import '../badge/index.js';
import '../badge/badge.js';
import '../badge/props.js';
import '../radio/index.js';
import '../radio/radio.js';
import 'tdesign-icons-vue-next';
import '../radio/props.js';
import '../form/hooks.js';
import '../radio/radio-group.js';
import '../radio/radio-group-props.js';
import '../checkbox/index.js';
import '../checkbox/checkbox.js';
import '../checkbox/props.js';
import '../shared/render-tnode.js';
import '../checkbox/checkbox-group.js';
import '../checkbox/checkbox-group-props.js';
import '../checkbox/hooks/getOptions.js';
import '../shared/useChildSlots/index.js';
import '../checkbox/hooks/setCheckAllStatus.js';
import './props.js';
import '../shared/util.js';

var TreeSelect = withInstall(_TreeSelect);

export { TreeSelect, TreeSelect as default };
//# sourceMappingURL=index.js.map
