/**
 * tdesign v1.9.0
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Upload from './upload.js';
import { withInstall } from '../shared/component.js';
import 'vue';
import 'tdesign-icons-vue-next';
import '../image/index.js';
import '../image/image.js';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/defineProperty';
import '@vueuse/core';
import '../loading/index.js';
import '../loading/loading.js';
import '../loading/icon/gradient.js';
import '../_common/js/loading/circle-adapter.js';
import '../_common/js/utils/setStyle.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import 'lodash-es';
import '../config.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f8b538c0.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-53f63811.js';
import 'dayjs';
import '../loading/icon/spinner.js';
import '../loading/props.js';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../shared/dom.js';
import '../loading/plugin.js';
import '../image/props.js';
import '../image-viewer/index.js';
import '../image-viewer/image-viewer.js';
import '../image-viewer/props.js';
import '../hooks/useDefaultValue.js';
import '../hooks/useVModel.js';
import '../swiper/index.js';
import '../swiper/swiper.js';
import '../swipe-cell/useSwipe.js';
import '../shared/util.js';
import '../swiper/props.js';
import '../swiper/swiper-item.js';
import '../shared/useGesture/index.js';
import '@use-gesture/vanilla';
import './props.js';
import './hooks/useUpload.js';
import '../_common/js/upload/main.js';
import '@babel/runtime/helpers/toArray';
import '../_common/js/upload/utils.js';
import '../_common/js/log/log.js';
import '../_common/js/upload/xhr.js';

var Upload = withInstall(_Upload);

export { Upload, Upload as default };
//# sourceMappingURL=index.js.map
